Package kiyut.sketsa.windows.canvas

## Class CanvasUndoRedo

- java.lang.Object
- - kiyut.sketsa.windows.canvas.CanvasUndoRedo

- All Implemented Interfaces:
    `org.openide.awt.UndoRedo`

      public class CanvasUndoRedo
      extends Object
      implements org.openide.awt.UndoRedo

  It is only wrapper for kiyut.sketsa.undo.DOMUndoManager
  Author:
    KIYUT

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.openide.awt.UndoRedo

      `org.openide.awt.UndoRedo.Empty, org.openide.awt.UndoRedo.Manager, org.openide.awt.UndoRedo.Provider`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected VectorCanvas` | `canvas` | VectorCanvas
    `protected org.openide.util.ChangeSupport` | `changeSupport` |
    `protected DOMUndoManager` | `undoManager` | the undoManager

    - ### Fields inherited from interface org.openide.awt.UndoRedo

      `NONE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CanvasUndoRedo​(VectorCanvas canvas)` | Creates a new instance of CanvasUndoRedo

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChangeListener​(ChangeListener l)` |
    `boolean` | `canRedo()` |
    `boolean` | `canUndo()` |
    `String` | `getRedoPresentationName()` |
    `String` | `getUndoPresentationName()` |
    `void` | `redo()` |
    `void` | `removeChangeListener​(ChangeListener l)` |
    `void` | `undo()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### undoManager

          protected DOMUndoManager undoManager

      the undoManager

    - #### canvas

          protected VectorCanvas canvas

      VectorCanvas

    - #### changeSupport

          protected org.openide.util.ChangeSupport changeSupport

  - ### Constructor Detail

    - #### CanvasUndoRedo

          public CanvasUndoRedo​(VectorCanvas canvas)

      Creates a new instance of CanvasUndoRedo
      Parameters:
        `canvas` - `VectorCanvas`

  - ### Method Detail

    - #### addChangeListener

          public void addChangeListener​(ChangeListener l)

      Specified by:
        `addChangeListener` in interface `org.openide.awt.UndoRedo`

    - #### removeChangeListener

          public void removeChangeListener​(ChangeListener l)

      Specified by:
        `removeChangeListener` in interface `org.openide.awt.UndoRedo`

    - #### canUndo

          public boolean canUndo()

      Specified by:
        `canUndo` in interface `org.openide.awt.UndoRedo`

    - #### canRedo

          public boolean canRedo()

      Specified by:
        `canRedo` in interface `org.openide.awt.UndoRedo`

    - #### undo

          public void undo()
                    throws CannotUndoException

      Specified by:
        `undo` in interface `org.openide.awt.UndoRedo`
      Throws:
        `CannotUndoException`

    - #### redo

          public void redo()
                    throws CannotRedoException

      Specified by:
        `redo` in interface `org.openide.awt.UndoRedo`
      Throws:
        `CannotRedoException`

    - #### getUndoPresentationName

          public String getUndoPresentationName()

      Specified by:
        `getUndoPresentationName` in interface `org.openide.awt.UndoRedo`

    - #### getRedoPresentationName

          public String getRedoPresentationName()

      Specified by:
        `getRedoPresentationName` in interface `org.openide.awt.UndoRedo`